Date: Friday, March 2, 2018 @ 22:25:57
  Author: arodseth
Revision: 301637

archrelease: copy trunk to community-x86_64

Added:
  geany-plugins/repos/community-x86_64/PKGBUILD
    (from rev 301636, geany-plugins/trunk/PKGBUILD)
  geany-plugins/repos/community-x86_64/enchant-2.patch
    (from rev 301636, geany-plugins/trunk/enchant-2.patch)
Deleted:
  geany-plugins/repos/community-x86_64/PKGBUILD
  geany-plugins/repos/community-x86_64/enchant-2.patch

-----------------+
 PKGBUILD        |   84 +++++++++++++++++++++----------------------
 enchant-2.patch |  104 +++++++++++++++++++++++++++---------------------------
 2 files changed, 93 insertions(+), 95 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-03-02 22:25:44 UTC (rev 301636)
+++ PKGBUILD    2018-03-02 22:25:57 UTC (rev 301637)
@@ -1,43 +0,0 @@
-# $Id$
-# Maintainer: Alexander F Rødseth <xypr...@archlinux.org>
-# Contributor: Angel 'angvp' Velasquez <an...@archlinux.org>
-# Contributor: Gerardo Exequiel Pozzi <vmlinuz...@gmail.com>
-# Contributor: Patrick Melo <patr...@patrickmelo.eti.br>
-
-pkgname=geany-plugins
-pkgver=1.32
-pkgrel=4
-pkgdesc='Plugins for Geany'
-arch=('x86_64')
-url='https://plugins.geany.org/'
-license=('GPL')
-depends=("geany>=$pkgver" 'ctpl' 'gpgme' 'gtkspell3' 'libgit2' 'lua51')
-makedepends=('cppcheck' 'intltool')
-source=("https://plugins.geany.org/$pkgname/$pkgname-$pkgver.tar.bz2";
-        enchant-2.patch)
-sha256sums=('78d4b394fe22fda298e80a22616421efdd4a419eb227b99eadca73f65abac117'
-            '094a613b600e42de9b23c3586abf25f3b0695eb62ca2d341e82c0a5633fefeb8')
-
-prepare() {
-  cd $pkgname-$pkgver
-  patch -Np1 -i ../enchant-2.patch
-  autoreconf -fi
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  # Looking forward to Python 3 being supported
-  export PYTHON=/usr/bin/python2
-
-  ./configure --prefix=/usr --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-package() {
-  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
-}
-
-# getver: plugins.geany.org/downloads.html
-# vim: ts=2 sw=2 et:

Copied: geany-plugins/repos/community-x86_64/PKGBUILD (from rev 301636, 
geany-plugins/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-03-02 22:25:57 UTC (rev 301637)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xypr...@archlinux.org>
+# Contributor: Angel 'angvp' Velasquez <an...@archlinux.org>
+# Contributor: Gerardo Exequiel Pozzi <vmlinuz...@gmail.com>
+# Contributor: Patrick Melo <patr...@patrickmelo.eti.br>
+
+pkgname=geany-plugins
+pkgver=1.33
+pkgrel=1
+pkgdesc='Plugins for Geany'
+arch=('x86_64')
+url='https://plugins.geany.org/'
+license=('GPL')
+depends=("geany>=$pkgver" 'ctpl' 'gpgme' 'gtkspell3' 'libgit2' 'lua51')
+makedepends=('cppcheck' 'intltool')
+source=("https://plugins.geany.org/$pkgname/$pkgname-$pkgver.tar.bz2";)
+sha256sums=('12825739e2c3caefbc1ad57e62f1e4f691af8db8368f173aa84c43dffb4503a2')
+
+prepare() {
+  cd $pkgname-$pkgver
+
+  autoreconf -fi
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  # Looking forward to Python 3 being supported
+  export PYTHON=/usr/bin/python2
+
+  ./configure --prefix=/usr --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+package() {
+  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
+}
+
+# getver: plugins.geany.org/downloads.html
+# vim: ts=2 sw=2 et:

Deleted: enchant-2.patch
===================================================================
--- enchant-2.patch     2018-03-02 22:25:44 UTC (rev 301636)
+++ enchant-2.patch     2018-03-02 22:25:57 UTC (rev 301637)
@@ -1,52 +0,0 @@
---- geany-plugins-1.32/spellcheck/src/speller.c.orig   2017-10-17 
04:58:25.000000000 +0000
-+++ geany-plugins-1.32/spellcheck/src/speller.c        2017-11-23 
09:20:27.280196692 +0000
-@@ -470,7 +470,7 @@
-       g_return_if_fail(sc_speller_dict != NULL);
-       g_return_if_fail(word != NULL);
- 
--      enchant_dict_add_to_pwl(sc_speller_dict, word, -1);
-+      enchant_dict_add(sc_speller_dict, word, -1);
- }
- 
- gboolean sc_speller_dict_check(const gchar *word)
-@@ -518,24 +518,6 @@
-       if (sc_speller_dict != NULL)
-               enchant_broker_free_dict(sc_speller_broker, sc_speller_dict);
- 
--#if HAVE_ENCHANT_1_5
--      {
--              const gchar *old_path;
--              gchar *new_path;
--
--              /* add custom dictionary path for myspell (primarily used on 
Windows) */
--              old_path = enchant_broker_get_param(sc_speller_broker, 
"enchant.myspell.dictionary.path");
--              if (old_path != NULL)
--                      new_path = g_strconcat(
--                              old_path, G_SEARCHPATH_SEPARATOR_S, 
sc_info->dictionary_dir, NULL);
--              else
--                      new_path = sc_info->dictionary_dir;
--
--              enchant_broker_set_param(sc_speller_broker, 
"enchant.myspell.dictionary.path", new_path);
--              if (new_path != sc_info->dictionary_dir)
--                      g_free(new_path);
--      }
--#endif
-       create_dicts_array();
- 
-       /* Check if the stored default dictionary is (still) available, fall 
back to the first
---- geany-plugins-1.32/build/spellcheck.m4.orig        2017-07-16 
19:00:27.000000000 +0000
-+++ geany-plugins-1.32/build/spellcheck.m4     2018-01-21 21:56:47.533646705 
+0000
-@@ -4,11 +4,11 @@
- 
-     ENCHANT_VERSION=1.3
-     OPT_ENCHANT_VERSION=1.5
--    PKG_CHECK_MODULES([ENCHANT], [enchant >= ${OPT_ENCHANT_VERSION}],
-+    PKG_CHECK_MODULES([ENCHANT], [enchant-2 >= ${OPT_ENCHANT_VERSION}],
-                       have_enchant_1_5=yes,
-                       have_enchant_1_5=no)
-     GP_CHECK_PLUGIN_DEPS([spellcheck], [ENCHANT],
--                         [enchant >= ${ENCHANT_VERSION}])
-+                         [enchant-2 >= ${ENCHANT_VERSION}])
- 
-     AM_CONDITIONAL([HAVE_ENCHANT_1_5], [test "$have_enchant_1_5" = yes])
-     GP_COMMIT_PLUGIN_STATUS([Spellcheck])

Copied: geany-plugins/repos/community-x86_64/enchant-2.patch (from rev 301636, 
geany-plugins/trunk/enchant-2.patch)
===================================================================
--- enchant-2.patch                             (rev 0)
+++ enchant-2.patch     2018-03-02 22:25:57 UTC (rev 301637)
@@ -0,0 +1,52 @@
+--- geany-plugins-1.32/spellcheck/src/speller.c.orig   2017-10-17 
04:58:25.000000000 +0000
++++ geany-plugins-1.32/spellcheck/src/speller.c        2017-11-23 
09:20:27.280196692 +0000
+@@ -470,7 +470,7 @@
+       g_return_if_fail(sc_speller_dict != NULL);
+       g_return_if_fail(word != NULL);
+ 
+-      enchant_dict_add_to_pwl(sc_speller_dict, word, -1);
++      enchant_dict_add(sc_speller_dict, word, -1);
+ }
+ 
+ gboolean sc_speller_dict_check(const gchar *word)
+@@ -518,24 +518,6 @@
+       if (sc_speller_dict != NULL)
+               enchant_broker_free_dict(sc_speller_broker, sc_speller_dict);
+ 
+-#if HAVE_ENCHANT_1_5
+-      {
+-              const gchar *old_path;
+-              gchar *new_path;
+-
+-              /* add custom dictionary path for myspell (primarily used on 
Windows) */
+-              old_path = enchant_broker_get_param(sc_speller_broker, 
"enchant.myspell.dictionary.path");
+-              if (old_path != NULL)
+-                      new_path = g_strconcat(
+-                              old_path, G_SEARCHPATH_SEPARATOR_S, 
sc_info->dictionary_dir, NULL);
+-              else
+-                      new_path = sc_info->dictionary_dir;
+-
+-              enchant_broker_set_param(sc_speller_broker, 
"enchant.myspell.dictionary.path", new_path);
+-              if (new_path != sc_info->dictionary_dir)
+-                      g_free(new_path);
+-      }
+-#endif
+       create_dicts_array();
+ 
+       /* Check if the stored default dictionary is (still) available, fall 
back to the first
+--- geany-plugins-1.32/build/spellcheck.m4.orig        2017-07-16 
19:00:27.000000000 +0000
++++ geany-plugins-1.32/build/spellcheck.m4     2018-01-21 21:56:47.533646705 
+0000
+@@ -4,11 +4,11 @@
+ 
+     ENCHANT_VERSION=1.3
+     OPT_ENCHANT_VERSION=1.5
+-    PKG_CHECK_MODULES([ENCHANT], [enchant >= ${OPT_ENCHANT_VERSION}],
++    PKG_CHECK_MODULES([ENCHANT], [enchant-2 >= ${OPT_ENCHANT_VERSION}],
+                       have_enchant_1_5=yes,
+                       have_enchant_1_5=no)
+     GP_CHECK_PLUGIN_DEPS([spellcheck], [ENCHANT],
+-                         [enchant >= ${ENCHANT_VERSION}])
++                         [enchant-2 >= ${ENCHANT_VERSION}])
+ 
+     AM_CONDITIONAL([HAVE_ENCHANT_1_5], [test "$have_enchant_1_5" = yes])
+     GP_COMMIT_PLUGIN_STATUS([Spellcheck])

Reply via email to